The kan-extensions package

[Tags: bsd3, library]

Kan extensions, the Yoneda lemma, and (co)density (co)monads


Properties

Versions0.1, 0.1.1, 0.1.2, 0.2, 0.2.1, 0.2.2, 0.5.0, 0.5.1, 1.8.0, 1.9.0, 2.0.0, 2.0.0.1, 2.0.0.2, 2.0.0.3, 2.0.1, 2.0.2, 2.1, 2.1.2, 2.2, 2.3, 2.4, 2.4.0.1, 2.5, 2.6, 2.7, 3.0, 3.1, 3.1.0.1, 3.1.0.2, 3.1.1, 3.1.2, 3.4, 3.5, 3.5.1, 3.6, 3.6.2, 3.7, 4.0, 4.0.1, 4.0.2
Dependenciesadjunctions (==3.0.*), array (>=0.3.0.2 && <0.5), base (==4.*), comonad (==3.0.*), comonad-transformers (==3.0.*), comonads-fd (==3.0.*), containers (>=0.4 && <0.6), contravariant (>=0.2.0.1 && <0.3), distributive (>=0.2.2 && <0.3), free (==3.0.*), keys (==3.0.*), mtl (>=2.0.1 && <2.2), representable-functors (==3.0.*), semigroupoids (==3.0.*), speculation (>=1.4.1 && <1.5), transformers (>=0.2 && <0.4)
LicenseBSD3
CopyrightCopyright (C) 2011-2012 Edward A. Kmett
AuthorEdward A. Kmett
MaintainerEdward A. Kmett <ekmett@gmail.com>
Stabilityprovisional
CategoryData Structures, Monads, Comonads, Functors
Home pagehttp://github.com/ekmett/kan-extensions/
Bug trackerhttp://github.com/ekmett/kan-extensions/issues
Source repositoryhead: git clone git://github.com/ekmett/kan-extensions.git
Upload dateThu Jul 5 10:44:17 UTC 2012
Uploaded byEdwardKmett
Downloads1782 total (190 in last 30 days)

Modules

Downloads

Maintainers' corner

For package maintainers and hackage trustees